Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## statemap
Class State

    java.lang.Object
      statemap.State

All Implemented Interfaces:
  java.io.Serializable

    public abstract class State

extends java.lang.Object
implements java.io.Serializable

Base class for all SMC-generated context states. This class stores the state name and unique integer identifier.

See Also:
  Serialized Form

Field Summary
`static java.lang.Integer` | `TRANSITION_DEFINED_DEFAULT` Two (2) means the transition is defined in the default state.
`static java.lang.Integer` | `TRANSITION_DEFINED_LOCALLY` One (1) means the transition is defined in the current state.
`static java.lang.Integer` | `TRANSITION_UNDEFINED` Zero (0) means the transition is undefined.

Constructor Summary
`protected` | `State(java.lang.String name, int id)` Creates a state instance with the given name and unique integer identifier.

Method Summary
`int` | `getId()` Returns the unique integer identifier.
`java.lang.String` | `getName()` Returns the state name.
`java.lang.String` | `toString()` Returns the state name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRANSITION_UNDEFINED

    public static final java.lang.Integer TRANSITION_UNDEFINED

  Zero (0) means the transition is undefined.

### TRANSITION_DEFINED_LOCALLY

    public static final java.lang.Integer TRANSITION_DEFINED_LOCALLY

  One (1) means the transition is defined in the current state.

### TRANSITION_DEFINED_DEFAULT

    public static final java.lang.Integer TRANSITION_DEFINED_DEFAULT

  Two (2) means the transition is defined in the default state.

Constructor Detail

### State

    protected State(java.lang.String name,
                    int id)

  Creates a state instance with the given name and unique integer identifier.

  Parameters:
    `name` - The state name.
    `id` - The state unique identifier.

Method Detail

### getName

    public java.lang.String getName()

  Returns the state name.

  Returns:
    the state name.

### getId

    public int getId()

  Returns the unique integer identifier.

  Returns:
    the unique integer identifier.

### toString

    public java.lang.String toString()

  Returns the state name.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the state name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. Charles W. Rapp. All Rights Reserved. Use is subject to license terms.